Package org.apache.jmeter.engine

# Interface RemoteJMeterEngine

All Superinterfaces:
  `Remote`

All Known Implementing Classes:
  `RemoteJMeterEngineImpl`

public interface RemoteJMeterEngine extends Remote
This is the interface for the RMI server engine, i.e. `RemoteJMeterEngineImpl`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `rconfigure(HashTree testTree, String host, File jmxBase, String scriptName)`
  `void`
  `rexit()`
  `void`
  `rreset()`
  `void`
  `rrunTest()`
  `void`
  `rsetProperties(HashMap<String,String> p)`
  `void`
  `rstopTest(boolean now)`

- ## Method Details

  - ### rconfigure

    void rconfigure(HashTree testTree, String host, File jmxBase, String scriptName) throws RemoteException
    Throws:
      `RemoteException`

  - ### rrunTest

    void rrunTest() throws RemoteException, JMeterEngineException
    Throws:
      `RemoteException`
      `JMeterEngineException`

  - ### rstopTest

    void rstopTest(boolean now) throws RemoteException
    Throws:
      `RemoteException`

  - ### rreset

    void rreset() throws RemoteException
    Throws:
      `RemoteException`

  - ### rsetProperties

    void rsetProperties(HashMap<String,String> p) throws RemoteException
    Throws:
      `RemoteException`

  - ### rexit

    void rexit() throws RemoteException
    Throws:
      `RemoteException`